body {
    margin: 0;
    background: #050505;
    color: #f4f3ee;
    font-family: monospace;
    display: grid;
    place-items: center;
    height: 100vh;
}

nav {
    position: fixed;
    top: 20px;
    left: 20px;
    right: 20px;

    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;

    z-index: 1000;
}

.logo {
    width: 220px;
    image-rendering: pixelated;
}

button {
    padding: 12px 24px;
    background: none;
    border: 1px solid #666;
    color: #fff;
}

.about {
    justify-self: end;
    position: relative;
    cursor: default;
}

.about span {
    cursor: pointer;
}

.about-window {
    position: absolute;
    top: 35px;
    right: 0;

    width: 320px;
    padding: 20px;

    background: #050505;
    color: #f4f3ee;

    border: 1px solid #f4f3ee;

    opacity: 0;
    visibility: hidden;

    transition: opacity 0.2s ease;
}

.about:hover .about-window {
    opacity: 1;
    visibility: visible;
}

.about-window p {
    margin: 0;
    line-height: 1.6;
    font-size: 14px;
}

.login {
    justify-self: center;
    color: #f4f3ee;
    text-decoration: none;
    letter-spacing: 1px;
    cursor: pointer;
}

.login:hover {
    opacity: .7;
}

nav a {
    color: #f4f3ee;
    text-decoration: none;
    cursor: pointer;
    letter-spacing: 1px;
}

nav a:hover {
    opacity: .7;
}

main {
    text-align: center;
}

footer {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
}

.contact {
    position: relative;
    cursor: default;
}

.contact span {
    cursor: pointer;
    letter-spacing: 1px;
}

.contact-window {
    position: absolute;
    bottom: 35px;
    left: 50%;
    transform: translateX(-50%);

    display: inline-block;
	padding: 16px 20px;
	white-space: nowrap;

    background: #050505;
    color: #f4f3ee;

    border: 1px solid #f4f3ee;

    opacity: 0;
    visibility: hidden;

    transition: opacity .2s ease;
}

.contact:hover .contact-window {
    opacity: 1;
    visibility: visible;
}

.contact-window p {
    margin: 0;
    text-align: center;
    line-height: 1.6;
    font-size: 14px;
}
